upstream ${SERVICE}server {
	server ${SERVICE}:8069 fail_timeout=300s;
}

upstream ${SERVICE}longpoll {
	server ${SERVICE}:8072 fail_timeout=300s;
}

server {
	listen	${NGINX_PORT};
	server_name ${SERVER_NAMES};
	return 301 https://${DOLLSIGN}host:${NGINX_EXTERNAL_SSL_PORT}${DOLLSIGN}request_uri;
}

server {
	listen  ${NGINX_SSL_PORT} ssl http2;
	server_name ${SERVER_NAMES};
        client_max_body_size 500M;
        gzip on;
        gzip_min_length 512;
        gzip_buffers 4 32k;
        gzip_types text/plain text/xml text/css text/less application/x-javascript application/xml application/json application/javascript;
        gzip_vary on;
        keepalive_timeout 120s;
        proxy_read_timeout ${PROXY_READ_TIMEOUT};
        proxy_connect_timeout ${PROXY_CONNECT_TIMEOUT};
        proxy_send_timeout ${PROXY_SEND_TIMEOUT};
        proxy_buffer_size 64k;
        proxy_buffering off;
        proxy_buffers 4 64k;
        proxy_busy_buffers_size 64k;
        proxy_set_header Host ${DOLLSIGN}http_host;
        proxy_set_header X-Forwarded-Host ${DOLLSIGN}http_host;
        proxy_set_header X-Forwarded-For ${DOLLSIGN}proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto ${DOLLSIGN}scheme;
        proxy_set_header X-Real-IP ${DOLLSIGN}remote_addr;
        location / {
                proxy_pass http://${SERVICE}server;
                proxy_redirect off;
                # proxy_redirect http://${DOLLSIGN}http_host/ https://${DOLLSIGN}host:${DOLLSIGN}server_port/;
	}
	location /longpolling {
		proxy_pass http://${SERVICE}longpoll;
	}
        location ~ /[a-zA-Z0-9_-]*/static/ {
                proxy_pass http://${SERVICE}server;
                proxy_cache_valid 200 60m;
                proxy_buffering on;
                expires 864000;
        }
}
